petsc-3.10.5 2019-03-28
Report Typos and Errors

# DMPlexSetAdjacencyUseClosure

Define adjacency in the mesh using the transitive closure

### Synopsis

    #include "petscdmplex.h"
    #include "petscdmlabel.h"
    PetscErrorCode DMPlexSetAdjacencyUseClosure(DM dm, PetscBool useClosure)

### Input Parameters

| dm | - The DM object
| useClosure | - Flag to use the closure

### Notes

        FEM:   Two points p and q are adjacent if q \in closure(star(p)),   useCone = PETSC_FALSE, useClosure = PETSC_TRUE

        FVM:   Two points p and q are adjacent if q \in support(p+cone(p)), useCone = PETSC_TRUE,  useClosure = PETSC_FALSE

        FVM++: Two points p and q are adjacent if q \in star(closure(p)),   useCone = PETSC_TRUE,  useClosure = PETSC_TRUE

### See Also

DMPlexGetAdjacencyUseClosure(), DMPlexSetAdjacencyUseCone(), DMPlexGetAdjacencyUseCone(), DMPlexDistribute(), DMPlexPreallocateOperator()

### Level

intermediate

### Location

src/dm/impls/plex/plexdistribute.c

### Examples

src/ts/examples/tutorials/ex11.c.html
Index of all DMPLEX routines
Table of Contents for all manual pages
Index of all manual pages